Page MenuHomePhabricator

Create and release separate utfnormal library
Closed, ResolvedPublic

Description

Basically everything in includes/libs/normal.

We would probably want to convert some of the global functions into static functions that can be autoloaded (and then have a back-compat layer in core).

There's also the makefile and some other stuff that also needs to be sorted out.

Event Timeline

Legoktm created this task.Feb 3 2015, 10:01 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a project: Librarization.
Legoktm added subscribers: Legoktm, brion, bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2015, 10:01 PM
Legoktm claimed this task.Feb 20 2015, 7:50 AM

Requested a new git repository: https://www.mediawiki.org/w/index.php?title=Git/New_repositories/Requests/Entries&diff=prev&oldid=1415818

I have a local library-ified version of the code which I'll upload once the repo is created.

Legoktm added a project: utfnormal.
Legoktm set Security to None.
Legoktm renamed this task from Create separate utfnormal library to Create and release separate utfnormal library.Feb 26 2015, 12:31 AM
Legoktm reassigned this task from Legoktm to brion.

Assigning to brion to tag a 1.0.0 release once he's satisfied with the library :)

Legoktm closed this task as Resolved.Mar 7 2015, 9:28 AM

Brion said on IRC that he thought the library was ready, so I went ahead and tagged a 1.0.0 release.

bd808 moved this task from Untriaged to Done on the Librarization board.Mar 9 2015, 10:24 PM